> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Operation Ratios

> Retrieve operation ratios for a list of symbols. Includes metrics like operating margin, profit margin, ROA, ROE, and others.

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "result": [
      {
        "company": {
          "primarySymbol": "AAPL",
          "primaryExchange": "NAS",
          "cik": "320193",
          "isin": "CA03785Y1007",
          "cusip": "03785Y100",
          "standardName": "Apple",
          "countryId": "USA",
          "isReit": false,
          "industryTemplateCode": "N",
          "businessCountryId": "USA",
          "isLimitedPartnership": false,
          "yearofEstablishment": 1977,
          "isLimitedLiabilityCompany": false
        },
        "operationRatios": [
          {
            "id": {
              "companyId": "0C00000ADA",
              "asOf": "2025-12-31",
              "reportType": "R",
              "period": "3M",
              "aorOrRestate": "RESTATE"
            },
            "fiscalYearEnd": 9,
            "isCalculated": false,
            "revenueGrowth": 0.156525,
            "operationIncomeGrowth": 0.187243,
            "netIncomeGrowth": 0.158739,
            "netIncomeContOpsGrowth": 0.158739,
            "operationRevenueGrowth3MonthAvg": 0.156525,
            "grossMargin": 0.481587,
            "operationMargin": 0.353738,
            "pretaxMargin": 0.354782,
            "netMargin": 0.292836,
            "taxRate": 0.174601,
            "ebitMargin": 0.353738,
            "ebitdaMargin": 0.376096,
            "salesPerEmployee": 866000.000000,
            "currentRatio": 0.973745,
            "quickRatio": 0.845166,
            "longTermDebtTotalCapitalRatio": 0.465110,
            "longTermDebtEquityRatio": 0.869543,
            "financialLeverage": 4.300907,
            "totalDebtEquityRatio": 1.026295,
            "normalizedNetProfitMargin": 0.292836,
            "daysInSales": 25.294396,
            "daysInInventory": 7.097358,
            "daysInPayment": 85.983152,
            "cashConversionCycle": -53.591397,
            "receivableTurnover": 3.607518,
            "inventoryTurnover": 12.856896,
            "paymentTurnover": 1.061254,
            "fixAssetsTuronver": 2.875321,
            "assetsTurnover": 0.389299,
            "roe": 0.519963,
            "roa": 0.114001,
            "roic": 0.239808,
            "debttoAssets": 0.238623,
            "commonEquityToAssets": 0.232509,
            "normalizedRoic": 0.239808,
            "cashRatio": 0.412073,
            "cashToTotalAssets": 0.176397,
            "netIncomePerEmployee": 253596.385542
          }
        ],
        "symbol": "AAPL",
        "idType": "SYMBOL",
        "id": "AAPL"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml /openapi/data-api-proxy_api.spec.yml GET /api/v2.1/fundamentals/operationRatios
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API provides endpoints to search for fundamentals and get
    fundamental details.
  termsOfService: http://swagger.io/terms/
  title: Data API Proxy
  version: 2.0.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/fundamentals/operationRatios:
    get:
      tags:
        - Fundamentals
      summary: Get Operation Ratios V2.1
      description: >-
        Retrieve operation ratios for a list of symbols. Includes metrics like
        operating margin, profit margin, ROA, ROE, and others.
      operationId: get-operation-ratios-v21
      parameters:
        - description: Comma separated list of symbols (e.g., AAPL, MSFT)
          in: query
          name: symbols
          required: true
          schema:
            type: string
        - description: >-
            Return results for dates greater than or equal date specified in
            this parameter (YYYY-MM-DD)
          in: query
          name: asOf
          schema:
            type: string
        - description: Specifies the time period of the returned results (e.g., Q1, 2023)
          in: query
          name: period
          schema:
            type: string
        - description: >-
            Report type: TTM (Trailing Twelve Months), A (As originally
            reported), R (Restated), P (Preliminary)
          in: query
          name: reportType
          schema:
            type: string
      responses:
        '200':
          description: Operation ratios data
          content:
            application/json:
              schema:
                type: string
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    bzhttp.Resp:
      properties:
        data:
          additionalProperties: true
          type: object
        errors:
          items:
            $ref: '#/components/schemas/bzhttp.Error'
          type: array
        ok:
          type: boolean
      type: object
    bzhttp.Error:
      properties:
        code:
          $ref: '#/components/schemas/bzhttp.ErrorCode'
        id:
          type: string
        value:
          type: string
      type: object
    bzhttp.ErrorCode:
      enum:
        - unsupported_message_type
        - database_query_error
        - json_unmarshaling_error
        - no_data_found
        - no_matching_endpoint
        - bad_request
        - db_error
        - internal_server_error
        - auth_failed
        - forbidden
        - failed_dependency
        - service_unavailable
        - upstream_api_error
      type: string
      x-enum-varnames:
        - ErrorUnsupportedMessageType
        - ErrorDBQueryError
        - ErrorJSONUnmarshaling
        - ErrorNoDataFound
        - ErrorNoMatchingEndpoint
        - ErrorBadRequest
        - ErrorDBError
        - ErrorInternalServerError
        - ErrorAuthFailed
        - ErrorForbidden
        - ErrorFailedDependency
        - ErrorServiceUnavailable
        - ErrorUpstreamAPIError
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````